import httpRequest from '@/utils/axios'

/**
 * 获取机构列表
 */
export function getOrgList(params) {
  return httpRequest.get('/api/xedu/admin/v1/organizations', { params })
}

/**
 * 获取机构详情
 */
export function getOrg(params) {
  return httpRequest.get(`/api/xedu/admin/v1/organization/${params.id}`, { params })
}

/**
 * 创建机构
 */
export function createOrg(data) {
  return httpRequest.post('/api/xedu/admin/v1/organization', data)
}

/**
 * 修改机构
 */
export function updateOrg(data) {
  return httpRequest.put(`/api/xedu/admin/v1/organization/${data.id}`, data)
}

/**
 * 删除机构
 */
export function deleteOrg(data) {
  return httpRequest.delete(`/api/xedu/admin/v1/organization/${data.id}`, data)
}

/**
 * 获取角色列表
 */
export function getRoleList(params) {
  return httpRequest.get('/api/xedu/admin/v1/roles', { params })
}
